Debian Bug report logs - #387670
tcpreplay_2.99+3.0.beta11-2(alpha,arm,hppa,ia64,mips,mipsel,sparc/unstable): FTBFS: compile errors (newpkt undeclared)

version graph

Package: tcpreplay; Maintainer for tcpreplay is Noël Köthe <noel@debian.org>; Source for tcpreplay is src:tcpreplay.

Reported by: Clint Adams <schizo@debian.org>

Date: Fri, 15 Sep 2006 19:48:28 UTC

Severity: serious

Tags: upstream

Found in version tcpreplay/2.99+3.0.beta11-2

Fixed in version tcpreplay/2.99+3.0.beta11-3

Done: Noèl Köthe <noel@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://tcpreplay.synfin.net/trac/ticket/88

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#387670; Package tcpreplay. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
New Bug report received and forwarded. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tcpreplay_2.99+3.0.beta11-2(alpha,arm,hppa,ia64,mips,mipsel,sparc/unstable): FTBFS: compile errors (newpkt undeclared)
Date: Fri, 15 Sep 2006 15:45:46 -0400
Package: tcpreplay
Version: 2.99+3.0.beta11-2
Severity: serious

tcpedit.c: In function 'tcpedit_packet':
tcpedit.c:205: error: 'newpkt' undeclared (first use in this function)
tcpedit.c:205: error: (Each undeclared identifier is reported only once
tcpedit.c:205: error: for each function it appears in.)
tcpedit.c:205: error: 'pkthdr_ptr' undeclared (first use in this function)

http://buildd.debian.org/fetch.php?pkg=tcpreplay&arch=alpha&ver=2.99%2B3.0.beta11-2&stamp=1158326543&file=log
http://buildd.debian.org/fetch.php?pkg=tcpreplay&arch=arm&ver=2.99%2B3.0.beta11-2&stamp=1158327605&file=log
http://buildd.debian.org/fetch.php?pkg=tcpreplay&arch=hppa&ver=2.99%2B3.0.beta11-2&stamp=1158326709&file=log
http://buildd.debian.org/fetch.php?pkg=tcpreplay&arch=ia64&ver=2.99%2B3.0.beta11-2&stamp=1158326621&file=log
http://buildd.debian.org/fetch.php?pkg=tcpreplay&arch=mips&ver=2.99%2B3.0.beta11-2&stamp=1158326511&file=log
http://buildd.debian.org/fetch.php?pkg=tcpreplay&arch=mipsel&ver=2.99%2B3.0.beta11-2&stamp=1158326487&file=log
http://buildd.debian.org/fetch.php?pkg=tcpreplay&arch=sparc&ver=2.99%2B3.0.beta11-2&stamp=1158326581&file=log

This is mentioned in #379657:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=379657;msg=24



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#387670; Package tcpreplay. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 387670@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: Clint Adams <schizo@debian.org>, 387670@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#387670: tcpreplay_2.99+3.0.beta11-2(alpha,arm,hppa,ia64,mips,mipsel,sparc/unstable): FTBFS: compile errors (newpkt undeclared)
Date: Fri, 15 Sep 2006 23:03:07 +0200
[Message part 1 (text/plain, inline)]
forwarded 387670 http://tcpreplay.synfin.net/trac/ticket/88
tag 387670 + upstream pending
thanks

Am Freitag, den 15.09.2006, 15:45 -0400 schrieb Clint Adams:

Hello Clint,

> tcpedit.c: In function 'tcpedit_packet':
> tcpedit.c:205: error: 'newpkt' undeclared (first use in this function)
> tcpedit.c:205: error: (Each undeclared identifier is reported only once
> tcpedit.c:205: error: for each function it appears in.)
> tcpedit.c:205: error: 'pkthdr_ptr' undeclared (first use in this function)

Thanks for reporting. I already forwarded it to upstream and got an
answer. See http://tcpreplay.synfin.net/trac/ticket/88

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://tcpreplay.synfin.net/trac/ticket/88. Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, pending Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Noèl Köthe <noel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Clint Adams <schizo@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 387670-close@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 387670-close@bugs.debian.org
Subject: Bug#387670: fixed in tcpreplay 2.99+3.0.beta11-3
Date: Sat, 16 Sep 2006 06:32:13 -0700
Source: tcpreplay
Source-Version: 2.99+3.0.beta11-3

We believe that the bug you reported is fixed in the latest version of
tcpreplay, which is due to be installed in the Debian FTP archive:

tcpreplay_2.99+3.0.beta11-3.diff.gz
  to pool/main/t/tcpreplay/tcpreplay_2.99+3.0.beta11-3.diff.gz
tcpreplay_2.99+3.0.beta11-3.dsc
  to pool/main/t/tcpreplay/tcpreplay_2.99+3.0.beta11-3.dsc
tcpreplay_2.99+3.0.beta11-3_i386.deb
  to pool/main/t/tcpreplay/tcpreplay_2.99+3.0.beta11-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Noèl Köthe <noel@debian.org> (supplier of updated tcpreplay package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Sep 2006 15:17:17 +0200
Source: tcpreplay
Binary: tcpreplay
Architecture: source i386
Version: 2.99+3.0.beta11-3
Distribution: unstable
Urgency: low
Maintainer: Noèl Köthe <noel@debian.org>
Changed-By: Noèl Köthe <noel@debian.org>
Description: 
 tcpreplay  - Tool to replay saved tcpdump files at arbitrary speeds
Closes: 387670
Changes: 
 tcpreplay (2.99+3.0.beta11-3) unstable; urgency=low
 .
   * fix compile error (newpkt undeclared, post_args)
     http://tcpreplay.synfin.net/trac/changeset/1589 and
     http://tcpreplay.synfin.net/trac/changeset/1590
     (closes: Bug#387670)
Files: 
 296e14c9640366cc5539c31cdf3acba3 632 net optional tcpreplay_2.99+3.0.beta11-3.dsc
 498b4d35754e621afeec9be2a3d3c2ff 27383 net optional tcpreplay_2.99+3.0.beta11-3.diff.gz
 304d13649341f3be7c33808e9c78f482 706302 net optional tcpreplay_2.99+3.0.beta11-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFC/nD9/DnDzB9Vu0RAh0hAJ9jBWvhUuvqKdnFKel8orB/gg7ukQCdF6b9
K0560Pr/atWQh1Z3FuB4eUY=
=vihX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 10:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:27:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.